ITPub博客

首页 > Linux操作系统 > Linux操作系统 > Linux安装Oracle报Checking operating system version

Linux安装Oracle报Checking operating system version

原创 Linux操作系统 作者:ttboylb 时间:2011-06-28 10:53:47 0 删除 编辑

在Linux系统中安装oralce的过程中,如果Linux发行版本不是oracle的推荐版本,可能会报如下错误,导致runInstaller无法完成:

Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1 or asianux-2
Failed <<<<

遇到这个问题,可以通过如下两种方式解决

1、修改Linux的发行标记

如在redhat-5上安装oracle的时候,需要将文件 '/etc/redhat-release'的内容由

Red Hat Enterprise Linux Server release 5 (Tikanga)

修改为

Red Hat Enterprise Linux Server release 4 (Tikanga)

2、runInstaller的时候加上-ignoreSysPreReqs参数,如:

./runInstaller -ignoreSysPreReqs

不过不推荐这种方式,因为这可能会错过对操作系统内核参数以及oracle必需的包的检测

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/12131609/viewspace-700875/,如需转载,请注明出处,否则将追究法律责任。

上一篇: LINUX -EXEC
请登录后发表评论 登录
全部评论

注册时间:2011-01-07

  • 博文量
    60
  • 访问量
    252015